package com.coti.tools;

import javax.swing.*;
import java.awt.Toolkit;
import java.awt.Dimension;

public class JFrameAL extends JFrame {
  public static final int CENTER = 0;
  public static final int PLATFORM = 1;
  public JFrameAL(String title, int placement) {
    super(title);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    Dimension scSz = Toolkit.getDefaultToolkit().getScreenSize();
    double scale = 0.5;
    double newWidth = scSz.getWidth() * scale;
    double newHeight = scSz.getHeight() * scale;
    Dimension newDimension = new Dimension();
    newDimension.setSize(newWidth, newHeight);
    setSize(newDimension);
    if (CENTER == placement)
      setLocationRelativeTo(null);
    else if (PLATFORM == placement)
      setLocationByPlatform(true);

  }
}
