package com.coti.tools;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Properties;

public class AuxProps {
    
    public static Properties loadProps(File whereFrom) {
        Properties props = new Properties();
        try {
            FileInputStream fis = new FileInputStream(whereFrom);
            props.loadFromXML(fis);
            fis.close();
        } catch (IOException ex) {
            System.out.println(whereFrom.getAbsolutePath());
            ex.printStackTrace();
        }
        return props;
    }
    
    public static ArrayList<String> extractKeys(Properties props) {
        int numberOfProps;
        ArrayList<String> names = new ArrayList<String>();
        numberOfProps = props.size();
        for (int i = 0; i < numberOfProps/2; i++)
            names.add(props.getProperty(i+"*0"));
        return names;
    }     

    public static ArrayList<String> extractValues(Properties props) {
        int numberOfProps;
        ArrayList<String> names = new ArrayList<String>();
        numberOfProps = props.size();
        for (int i = 0; i < numberOfProps/2; i++)
            names.add(props.getProperty(i+"*1"));
        return names;
    }     

    public static Properties rebuild(Properties temp) {
        Properties rebuiltList = new Properties();
        for(int i=0;i<temp.size()/2;i++)
            {
                rebuiltList.setProperty(temp.getProperty(i+"*0"),temp.getProperty(i+"*1"));
            }
        
        return rebuiltList;
    }

    
}
